#include "DallasRam.h"

// konstruktor
DallasRam::DallasRam()
{
  Wire.begin();
}

// metody pro zapis
int8_t DallasRam::writeTo(uint8_t addr, int input)
{
  if (addr < 8 || addr > 0x3d) return 0;
  
  writeTo(addr, byte(input & 0xff));
  writeTo(addr+1, byte((input>>8) & 0xff));
  return 2;
}

int8_t DallasRam::writeTo(uint8_t addr, byte input)
{
  if (addr < 8 || addr > 0x3e) return 0;
  
  Wire.beginTransmission(DallasAddr);
  Wire.write(addr);
  Wire.write(input);
  Wire.endTransmission();
  return 1;
}

uint8_t DallasRam::readByteFrom(uint8_t addr)
{
  if (addr < 8 || addr > 0x3e) return 0;
  Wire.beginTransmission(DallasAddr);
  Wire.write(addr);
  Wire.endTransmission();
  Wire.requestFrom(DallasAddr, 1);
  byte r;
  if (Wire.available())
  {
    r = Wire.read();
  }
  while (Wire.available());
  
  return r;
  
  
}



int DallasRam::readIntFrom(uint8_t addr)
{
  if (addr < 8 || addr > 0x3d) return 0;

  int r = 0;
  r |= readByteFrom(addr);
  r |= readByteFrom(addr+1)<<8;
   
  return r;
  
  
}


