/*
 * Knihovna pro RGB LED
 * 
 * Funkce: turnOff - LED zhasne
 * dispColor(barva) - zobrazi jednu z preddefinovanych barev viz nize, pouziva se bitmaska
 * dispRGB - parametrem fce jsou r, g, b slozky, zobrazi jakoukuliv barvu
 */


#ifndef RGBled_h
#define RGBled_h

#include <Arduino.h>


#define RGB_RED 1
#define RGB_GREEN 2
#define RGB_BLUE 4
#define RGB_YELLOW 3
#define RGB_MAGENTA 5
#define RGB_CYAN 6
#define RGB_WHITE 7
#define RGB_OFF 0


class RGBled
{
  public:
    RGBled(); // konstruktor s defaultnimi piny
    RGBled(int r, int g, int b); // konstruktor s vlastnimi piny

    // metody
    void turnOff(); // vypnout

    //zapnout s barvou

    void dispColor(uint8_t color);

    void dispRGB(uint8_t r, uint8_t g, uint8_t b);
    

  private:
    int _r,_g,_b;

    
};

#endif
