#include "Button.h"

/*
 * Knihovna pro tlacitko
 * Zadny stisk 3s - navrat 0
 * Stisk <1,5s - navrat 1
 * Stisk >1,5s - navrat 2
 * Dvoj ci vice klik - navrat 3
 */
void Button::interHandler()
{
  intTriggered = true;
}

Button::Button()
{
  pinMode(_button, INPUT_PULLUP);
}

Button::Button(int button)
{
  _button = button;
  Button();
}

uint8_t Button::getPressLevel()
{
  unsigned long lms = millis();
  while(digitalRead(_button) == HIGH && lms+3000 >= millis());

  // nestisknuto-li 3 s
  if (millis() >= lms+3000) return 0;
  
  lms = millis();
  unsigned long lms_low = lms;
  while(digitalRead(_button) == LOW || millis() < lms+Button_debounceTime); 
  {
    if (digitalRead(_button) == LOW) lms_low = millis(); // proti zakmitum
  }

  unsigned long old_lms = lms;
  
    // 400 ms na detekci dvoj(ci vice)-kliku

  delay(10); // proti zakmitum
  lms = millis();


  while(lms+400 > millis())
  {
    if (digitalRead(_button) == LOW) return 3;
  }

  // navratova hodnota podle casu
  if (millis()-old_lms > 1500) return 2;
  return  1;
}




