/*
 * Knihovna pro pouziti termistoru
 * Umi ziskat odpor, teplotu °C a °F, vysledek ve Float formatu pro vyssi presnost
 * 
 */


#include "Thermistor.h"

Thermistor::Thermistor()
{
   t_ADpin = A1;
  pinMode(t_ADpin, INPUT);
}

// pokud chceme pouzit jiny pin
Thermistor::Thermistor(int ADpin)
{
  t_ADpin = ADpin;
  pinMode(t_ADpin, INPUT);
}

// zjisteni odporu (dopocet z odporoveho delice)
float Thermistor::getTResistance()
{
  float ad_val = analogRead(t_ADpin)/1024.0;
  t_resistance = (Thermistor_DivRes-ad_val*Thermistor_DivRes)/ad_val;
  return t_resistance;
}

// navrat teploty °C
float Thermistor::getTCelsius()
{
  // 1/T = 1/T0+((1/B)*ln(R/R0))
  
  return 1/(1/298.15+((1/Thermistor_BValue)*log(getTResistance()/Thermistor_NormRes)))-273.15;
}

// teplota °F
float Thermistor::getTFahrenheit()
{
  return  (9.0/5.0)*getTCelsius() + 32;
}

