/*
 * Knihovna pro pouziti termistoru
 * Umi ziskat odpor, teplotu °C a °F, vysledek ve Float formatu pro presnost
 * 
 * Funkce:
 * getTResistance() - ziska odpor termistoru
 * getTCelsius() - ziska teplotu °C
 * getTFahrenheit() - ziska teplotu °F
 * 
 */


#ifndef Thermistor_h
#define Thermistor_h

#include <Arduino.h>

#define Thermistor_BValue 3470.0
#define Thermistor_NormRes 10000.0
#define Thermistor_DivRes 6800.0

class Thermistor
{
  public:
    Thermistor(); // konstruktor s defaultnim pinem
    Thermistor(int ADpin); // konstruktor s vlastnim pinem

    // metody na ziskani teploty
    float getTResistance();
    float getTCelsius();  
    float getTFahrenheit();

  private:
    int t_ADpin;
    float t_resistance;


    
};

#endif
