#include "Thermistor.h"
#include "ThreeLeds.h"
#include "RGBled.h"
#include "DallasRam.h"
#include "Button.h"
#include "Display.h"

#define d1 100

Thermistor th;
ThreeLeds tl;
RGBled rgb;
DallasRam dr;
Button b;
Display d;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  Serial.println("Start");
}

void loop() {
  // put your main code here, to run repeatedly:
  Serial.print("Teplota: ");
  Serial.print(th.getTCelsius());
  Serial.print("°C, (");
  Serial.print(th.getTFahrenheit());
  Serial.println("°F)");

  delay(500);
  Serial.println("Ted jdeme testovat 3 LED! (Knihovna ThreeLeds)");

  tl.redOn();
  delay(d1);
  tl.yellowOn();
  delay(d1);
  tl.greenOn();
  delay(d1);
  tl.redOff();
  delay(d1);
  tl.yellowOff();
  delay(d1);
  tl.greenOff();
  delay(d1);

  Serial.println("Vsechny najednou");

  tl.allOn();
  delay(d1*2);
  tl.allOff();
  delay(d1*2);

  Serial.println("Test RGB LED");
  
  rgb.dispColor(RGB_RED);
  delay(d1);
  rgb.dispColor(RGB_GREEN);
  delay(d1);
  rgb.dispColor(RGB_BLUE);
  delay(d1);
  rgb.dispColor(RGB_YELLOW);
  delay(d1);
  rgb.dispColor(RGB_MAGENTA);
  delay(d1);
  rgb.dispColor(RGB_CYAN);
  delay(d1);
  rgb.dispColor(RGB_WHITE);
  delay(d1);
  rgb.turnOff();

  delay(d1*2);
  Serial.println("Barvicky!");

  uint8_t i,j;
  for (i=0; i<8; i++)
  {
    for (j=0; j<255; j++)
    {
      delay(2);
      uint8_t r=0,g=0,b=0;
      if (i==0 || i==3 || i==7) r=j;
      if (i==1 || i==3 || i==4 || i==5) g=j;
      if (i==2 || i==5 || i==6 || i== 7) b=j;
      
      rgb.dispRGB(r,g,b);
    }
  }
  rgb.turnOff();
  delay(d1*2);

  Serial.print("Testujeme RAM v RTC - zapis byte: 100, funkce vraci: ");
  Serial.println(dr.writeTo(9, (byte)100));
  delay(5);
  Serial.print("Precteno: ");
  Serial.println(dr.readByteFrom(9));

  delay(d1*2);

  Serial.print("Zapis na spatnou adresu. Funkce vraci: ");
  Serial.println(dr.writeTo(100, 100));

  delay(d1*2);

  Serial.println("Pokus o zapis intu, hodnota -500");
  dr.writeTo(15, -500);
  Serial.print("Precteno: ");
  Serial.println(dr.readIntFrom(15));

  delay(d1*2);
  Serial.println("Stisknete tlacitko!");
  uint8_t stisk = b.getPressLevel();
  Serial.print("Fce stisku tlacitka navratila: ");
  Serial.print(stisk);

  switch (stisk)
  {
    case 1:
      Serial.println(" (kratky stisk)");
      break;
    case 2:
      Serial.println(" (dlouhy stisk)");
      break;
    case 3:
      Serial.println(" (dvoj+ stisk)");
      break;
    default:
      Serial.println(" (3 sekundy nic nestisknuto)");
      break;
  }
  
  Serial.print("\n\n\n\n\n");
  delay(d1*10);

    d.dispUnsigned(5555);
}
